export default function getCheckListIdFromBusinessCode (businessCode) {
  switch (businessCode) {
    // 收购合同
    case 'SHOU-CONTRACT-APPROVE':
      return 'shouContractCheckList';
    // 采购合同
    case 'BUY-CONTRACT-APPROVE':
     return 'shouContractCheckList';
    // 销售合同
    case 'SALE-CONTRACT-APPROVE':
     return 'shouContractCheckList';
     // 入库单
    case 'WAREHOUSING-ORDER-APPROVE':
      return 'warehousingOrderCheckList';
    // 运输结算统计
    case 'TRANSPORTATION-SETTLEMENT-REPORT':
      return 'tranSettlementReportCheckList';
     // 仓库设置
    case 'PROCUREMENT-PRICE-APPROVE':
      return 'acquisitionCheckList';
    // 出入库任务
    case 'INOUTTASK-TASK-APPROVE':
      return 'inOutWharehoseTaskCheckList';
   // 费用管理
    case 'FEIYONGGUANLI-APPROVE':
      return 'exepenseList';
    // 通用审核
    case 'GENERAL-AUDIT-APPROVE':
      return 'generalAuditInfoCheckList';

    case 'CREW-DISEMBARKATION-EVALUATION':
      return 'disembarkationCheckList';
    case 'CREW-EVALUATION':
      return 'evaluationCheckList';
    case 'CREW-INTERVIEW':
      return 'interviewCheckList';
    case 'FINANCE-TRAVELEXPENSES':
      return 'travelExpensesCheckList';
    case 'FINANCE-PAYMENT':
      return 'paymentCheckList';
    case 'FINANCE-REIMBURSEMENT':
      return 'reimbursementCheckList';
    case 'CREW-EVALUATE-YEAR-WARK':
      return 'evaluationCheckList';
    case 'CREW-INTERVIEW-BACK-FLOW':
      return 'interviewBackCheckList';
    case 'CREW-ASSESS-TRAINING':
      return 'assessTrainingCheckList';
    case 'CREW-EVALUATE-MIDDLE':
      return 'middleEvalCheckList';
    case 'REPAIR-VOYAGE-BUDGET':
      return 'voyageRepairBudgetCheckList';
    case 'CREW-SINGLE-PRE-JOB-TRAINING':
      return 'singlePreJobTrainingCheckList';
    case 'FINANCE-DEPTBUDGET':
      return 'deptBudgetCheckList';
    case 'CREW-MONTH-EVALUATE':
      return 'monthEvalCheckList';
    case 'CREW-FY-EVALUATE-MIDDLE':
      return 'middleEvalFYCheckList';
    case 'PURCHASE-SP-PARITY':
      return 'purSpParityInfoCheckList';
    case 'PURCHASE-MA-PARITY':
      return 'purMaParityInfoCheckList';
    case 'PURCHASE-MAP-PARITY':
      return 'purMapParityInfoCheckList';
    case 'CREW-PERFORMANCE-WORKFLOW':
      return 'performanceManagementCheckList';
    case 'ISM-INCOMPATIBLE-REPORT':
      return 'incompatibleReportCheckList';
    case 'PURCHASE-MA-APPL':
      return 'materielApplInfoCheckList';
    case 'ISM-DISCREPANCY-REPORT':
      return 'discrepancyReportCheckList';
    case 'MATERIEL-MAT-APPL':
      return 'materielApplInfoCheckList';
    case 'PURCHASE-SP-PURCHAS':
      return 'purSpPurchasInfoCheckList'
    case 'PURCHASE-MA-PURCHAS':
      return 'purMaPurchasInfoCheckList'
    // 海图采购
    case 'PURCHASE-MAP-PURCHAS':
      return 'purMapPurchasInfoCheckList'
    case 'MATERIEL-MAT-CHECK':
      return 'materielCheckInfoCheckList'
    case 'QINGJIA-APPROVE':
      return 'qingjiaCheckList'
    default:
      return null;
  }
}
